/**
 * NetworkError.
 * @remarks
 * Failed to reach server.
 * @public
 */
export declare class NetworkError extends Error {
    url: string;
    constructor(url: string, message?: string);
}
/**
 * APIError.
 * @remarks
 * Bad server `Response`.
 * @public
 */
export declare class APIError extends Error {
    status: number;
    data?: unknown;
    constructor(status: number, data?: unknown, message?: string);
}
/**
 * @param error - An error.
 * @public
 */
export declare const isAPIError: (error: unknown) => boolean;
/**
 * @param error - An error.
 * @public
 */
export declare const isNetworkError: (error: unknown) => boolean;
/**
 * @param error - An error.
 * @public
 */
export declare const isNotFoundError: (error: {
    status?: number;
}) => boolean;
//# sourceMappingURL=errors.d.ts.map